> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kas.fyi/llms.txt
> Use this file to discover all available pages before exploring further.

# Transaction output

> Retrieve a specific transaction output by transaction ID and output index.

Returns output details including amount, script public key, address, and spending status. If the output has been spent, includes details about the consuming transaction input.

## Cost

This endpoint costs **0.1 RU** (Request Units) per call.


## OpenAPI

````yaml GET /v1/transactions/outputs/{transaction_id}/{index}
openapi: 3.0.0
info:
  title: Kaspa Developer Platform (KDP) API
  description: >-
    A high-performance REST API providing real-time and historical data from the
    Kaspa blockchain
  version: '1.0'
  contact: {}
servers:
  - url: https://api.kas.fyi
    description: Mainnet API
security: []
tags:
  - name: Address
    description: Operations related to Kaspa addresses
  - name: Block
    description: Operations related to Kaspa blocks
  - name: Transaction
    description: Operations related to Kaspa transactions
  - name: Token
    description: Operations related to KRC20 tokens
  - name: Kaspa Node RPC Proxy
    description: Direct proxy to Kaspa node RPC methods
paths:
  /v1/transactions/outputs/{transaction_id}/{index}:
    get:
      tags:
        - Transaction
      summary: Transaction output
      description: >-
        Retrieve a specific transaction output by transaction ID and output
        index.


        Returns output details including amount, script public key, address, and
        spending status. If the output has been spent, includes details about
        the consuming transaction input.
      operationId: TransactionController_getTransactionOutput
      parameters:
        - name: transaction_id
          required: true
          in: path
          description: Transaction ID
          schema:
            example: a7177c55769381a56c126e458c8bb6046613b8a8d45c2f8d3ca5dc71a065279a
            type: string
        - name: index
          required: true
          in: path
          description: Index of the transaction
          schema:
            example: 0
            type: number
      responses:
        '200':
          description: Transaction output
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetTransactionOutputResponseDto'
      security:
        - x-api-key: []
components:
  schemas:
    GetTransactionOutputResponseDto:
      type: object
      properties:
        output:
          description: The transaction output details
          allOf:
            - $ref: '#/components/schemas/OutputResponseDto'
      required:
        - output
    OutputResponseDto:
      type: object
      properties:
        transactionId:
          type: string
          description: Transaction ID
          example: a7177c55769381a56c126e458c8bb6046613b8a8d45c2f8d3ca5dc71a065279a
        index:
          type: number
          description: Index of the transaction
          example: 0
        amount:
          type: string
          description: The amount of this output in sompi.
          example: '31112708372'
        scriptPublicKey:
          type: string
          description: The script public key of the output
          example: 2010fdab002cff0ac15bfc8b982c5a616bef9e5a66f0c655f4f63f7d1cef39d2b4ac
        scriptPublicKeyAddress:
          type: string
          description: The script public key address of the output
          example: kaspa:qqg0m2cq9nls4s2mlj9estz6v947l8j6vmcvv4057clh688088ftg7ce6p895
        scriptPublicKeyType:
          type: string
          description: The script public key type of the output
          example: pubkey
        spentOn:
          description: The next input that spent the output
          allOf:
            - $ref: '#/components/schemas/TransactionInputDto'
      required:
        - transactionId
        - index
        - amount
        - scriptPublicKey
        - scriptPublicKeyAddress
        - scriptPublicKeyType
        - spentOn
    TransactionInputDto:
      type: object
      properties:
        transactionId:
          type: string
          description: Transaction ID
          example: a7177c55769381a56c126e458c8bb6046613b8a8d45c2f8d3ca5dc71a065279a
        index:
          type: number
          description: Index of the transaction
          example: 0
        signatureScript:
          type: string
          description: The signature script of the input
          example: >-
            4183faed776b7f1b1ed32b97aafe3069ee357c80b637f5069ab859916a896ec69a59e9bebcc3e646587d59376a40c72dd0290f8ebdbf0b64f13e2d8f81d0fe106301
        sigOpCount:
          type: number
          description: The number of signature operations in the input
          example: 1
      required:
        - transactionId
        - index
        - signatureScript
        - sigOpCount
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        API key required for authentication. Get your API key at
        https://developer.kas.fyi

````